ValueObjectImpl

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.message.receive.java
Class ValueObjectImpl

    java.lang.Object
      org.openswing.swing.message.receive.java.ValueObjectImpl

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable, ValueObject

Direct Known Subclasses:
  AppointmentVO, CustomFieldVO, CustomValueObject, FieldVO, GanttRowVO, GanttWorkingHoursVO

public class ValueObjectImpl
extends java.lang.Object
implements ValueObject

Title: OpenSwing Framework

Description: Base Value Object, used to fill in a row table or a data form.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Constructor Summary
`ValueObjectImpl()`

Method Summary
`java.lang.Object` | `clone()` Method used by Grid and Form objects to internally duplicate a value object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueObjectImpl

    public ValueObjectImpl()

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Method used by Grid and Form objects to internally duplicate a value object.

  Specified by:
    `clone` in interface `ValueObject`
  Returns:
  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD